Bug 313292 - Krita hairy brush with mouse pressure on creates full-size dab at the start of the stroke
Summary: Krita hairy brush with mouse pressure on creates full-size dab at the start o...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: 2.5.3
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL: http://i46.tinypic.com/ieflhc.png
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 13:11 UTC by valerievk
Modified: 2014-01-01 14:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description valerievk 2013-01-15 13:11:58 UTC
When using hairy brush with a mouse, if you check "Mouse pressure" in Bristle options, then a full-size dab will be created at the start of the stroke. Tested with Krita 2.5.3 on Ubuntu 12.10 and with Krita 2.6 alpha on Windows XP.

Reproducible: Always

Steps to Reproduce:
1. Select Hairy brush
2. Check "Mouse pressure" in Bristle options
3. Paint
Actual Results:  
A full-size dab appears at the start of the stroke.

Expected Results:  
The start of the stroke should scale like the rest of the stroke.
Comment 1 Halla Rempt 2013-03-31 10:21:30 UTC
Ack, I can confirm the issue.
Comment 2 Halla Rempt 2014-01-01 14:48:00 UTC
Git commit 29c22fb37df9b134bf2c9da4ef0155e38cc61e37 by Boudewijn Rempt.
Committed on 01/01/2014 at 14:47.
Pushed by rempt into branch 'calligra/2.8'.

Correctly initialize the pressure for the hairy brush

To get a nice effect, we need to start with a pressure of 1.0 instead
of 0.0.

M  +7    -3    krita/plugins/paintops/hairy/hairy_brush.cpp

http://commits.kde.org/calligra/29c22fb37df9b134bf2c9da4ef0155e38cc61e37
Comment 3 Halla Rempt 2014-01-01 14:48:09 UTC
Git commit 9b92f11a44867909fc67a77039e9839cbfa729b7 by Boudewijn Rempt.
Committed on 01/01/2014 at 14:47.
Pushed by rempt into branch 'master'.

Correctly initialize the pressure for the hairy brush

To get a nice effect, we need to start with a pressure of 1.0 instead
of 0.0.

M  +7    -3    krita/plugins/paintops/hairy/hairy_brush.cpp

http://commits.kde.org/calligra/9b92f11a44867909fc67a77039e9839cbfa729b7